retryScreening
curl --request POST \
--url https://api.artemis.cynopsis.co/api/customer/{customerId}/screen/{screeningId}/retry \
--header 'Authorization: Bearer <token>' \
--header 'X-Domain-ID: <x-domain-id>'import requests
url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/screen/{screeningId}/retry"
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domain-ID': '<x-domain-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/screen/{screeningId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"additionalInformation": {
"djMonitoringCaseId": "<string>",
"djMonitoringTxId": "<string>",
"faceCompareDocumentId": "<string>",
"faceCompareSelfieId": "<string>",
"ocrDocumentId": "<string>"
},
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"facInformation": {
"faceCompareDocumentId": 123,
"faceCompareSelfieId": 123
},
"hasHit": true,
"id": 123,
"isPeriodic": true,
"ocrInformation": {
"ocrDocumentId": 123
},
"profileId": 123,
"quickscanName": "<string>",
"remarks": [
"<string>"
],
"screenedWith": [],
"screeningConclusion": [],
"status": {
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"id": 123,
"profileId": 123,
"screeningId": 123,
"status": {},
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
},
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"valid": true
}customer-controller
retryScreening
POST
/
api
/
customer
/
{customerId}
/
screen
/
{screeningId}
/
retry
retryScreening
Authorizations
OAuth2_Client_CredentialsOAuth2_Password
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
X-Domain-ID
Path Parameters
customerId
screeningId
Query Parameters
engines
Available options:
ARTEMISCAN, DJ, FACE_COMPARE, INTERNET_SEARCH, OCR, OWN_RESTRICTED_LIST, TR Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
DONE, FAILED, NEVER, PENDING Show child attributes
Show child attributes
Available options:
CLOSED, OPEN Available options:
CORPORATE, INDIVIDUAL Available options:
ARTEMISCAN, DJ, FACE_COMPARE, INTERNET_SEARCH, OCR, OWN_RESTRICTED_LIST, TR Available options:
ADVERSE_MEDIA, NO_HIT, OWN_RESTRICTED_LIST, PEP, SANCTION Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
